<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 29/5/2018
 * Time: 6:16 AM
 */

include '../comun/validarSesion.php';

if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
        $condominioData = $Valido->retornarDatos($creadoPor);
        $condominio = $condominioData["condominio_id"];
        $empresaseguridad = R::findAll( 'casetavigilancia', 'id_condominio = ?', [$condominio]);
        include '../comun/mensajeOk.php';
        print_r(json_encode($empresaseguridad));
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}